Bug 88963 - [Qt] New css3/flexbox/flexitem.html fails
Summary: [Qt] New css3/flexbox/flexitem.html fails
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 87008 87068
  Show dependency treegraph
 
Reported: 2012-06-12 22:58 PDT by Csaba Osztrogonác
Modified: 2014-02-03 03:21 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.27 KB, patch)
2012-06-13 12:20 PDT, Tony Chang
morrita: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-06-12 22:58:51 PDT
css3/flexbox/flexitem.html introduced in http://trac.webkit.org/changeset/120132 and fails on Qt:

--- /home/webkitbuildbot/slaves/release32bit-qt5/buildslave/qt-linux-32-release-qt5/build/layout-test-results/css3/flexbox/flexitem-expected.txt 
+++ /home/webkitbuildbot/slaves/release32bit-qt5/buildslave/qt-linux-32-release-qt5/build/layout-test-results/css3/flexbox/flexitem-actual.txt 
@@ -2,7 +2,24 @@
 
 object
 
-PASS
+FAIL:
+Expected 100 for width, but got 95. 
+Expected 100 for width, but got 95. 
+Expected 100 for width, but got 95. 
+Expected 100 for width, but got 95. 
+Expected 100 for width, but got 123. 
+Expected 100 for width, but got 95. 
+
+<div class="flexbox">
+  <button data-expected-display="block" data-expected-width="100">button</button>
+  <canvas data-expected-display="block" data-expected-width="100">canvas</canvas>
+  <iframe data-expected-display="block" data-expected-width="100" src="data:text/html,&lt;body bgcolor=#fff&gt;iframe&lt;/body&gt;"></iframe>
+  <object data-expected-display="block" data-expected-width="100">object</object>
+  <select data-expected-display="block" data-expected-width="100">
+    <option>select</option>
+  </select>
+  <textarea data-expected-display="block" data-expected-width="100">textarea</textarea>
+</div>
 
 PASS
 
@@ -17,7 +34,7 @@
 
 FAIL:
 Expected 100 for height, but got 20. 
-Expected 100 for height, but got 20. 
+Expected 100 for height, but got 21. 
 
 <div class="flexbox">
   <img data-expected-display="block" data-expected-width="200" style="-webkit-flex: 1 0 auto;" src="../images/resources/blue-100.png">
Comment 1 Csaba Osztrogonác 2012-06-12 23:01:56 PDT
I skipped it to paint the bot green - r120163. Please unskip it with the proper fix.
Comment 2 Tony Chang 2012-06-13 12:16:53 PDT
I investigated this failure.  This is because in WebKitQt, the padding on <select>s (MenuLists) are hard coded.  This happens in Source/WebKit/qt/WebCoreSupport/RenderThemeQStyle.cpp in RenderThemeQStyle::setPopupPadding.

The test tries to set the padding to 0, but it doesn't stick.

I think the bug is that the user can't set padding on <select>s.

The second failure must be the alt text being taller than 20px. I can fix that.
Comment 3 Tony Chang 2012-06-13 12:17:48 PDT
Oh, if it's intentional that setting padding on a <select> does nothing, then we could just rebaseline for Qt.
Comment 4 Tony Chang 2012-06-13 12:20:51 PDT
Created attachment 147386 [details]
Patch
Comment 5 Tony Chang 2012-06-14 09:44:33 PDT
Committed r120330: <http://trac.webkit.org/changeset/120330>
Comment 6 Tony Chang 2012-06-14 09:46:14 PDT
(In reply to comment #5)
> Committed r120330: <http://trac.webkit.org/changeset/120330>

@@ -17,7 +34,7 @@

 FAIL:
 Expected 100 for height, but got 20. 
-Expected 100 for height, but got 20. 
+Expected 100 for height, but got 21.

Should now be fixed.  I need guidance from Qt on whether it's a bug that you can't set padding on <select>s or if we should check in a Qt specific baseline.
Comment 7 Jocelyn Turcotte 2014-02-03 03:21:13 PST
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.